From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Sam James <sam@gentoo.org>
Date: Tue, 23 Apr 2024 13:16:39 +0200
Subject: [PATCH] Fix build with Boost 1.85.0

Ref: https://bugs.gentoo.org/930499
Ref: https://bugs.gentoo.org/933188
Origin: Gentoo
Upstream-Status: Unknown
Signed-off-by: Ismael Luceno <ismael@sourcemage.org>
---
 sbuild/sbuild-chroot-config.cc |    1 +
 sbuild/sbuild-run-parts.cc     |    1 +
 sbuild/sbuild-util.cc          |    2 --
 test/sbuild-run-parts.cc       |    1 +
 4 files changed, 3 insertions(+), 2 deletions(-)

--- a/sbuild/sbuild-chroot-config.cc
+++ b/sbuild/sbuild-chroot-config.cc
@@ -31,6 +31,7 @@
 #include <cstdlib>
 #include <cstring>
 
+#include <boost/filesystem/directory.hpp>
 #include <boost/filesystem/operations.hpp>
 
 #include <sys/types.h>
--- a/sbuild/sbuild-run-parts.cc
+++ b/sbuild/sbuild-run-parts.cc
@@ -29,6 +29,7 @@
 #include <syslog.h>
 
 #include <boost/format.hpp>
+#include <boost/filesystem/directory.hpp>
 #include <boost/filesystem/operations.hpp>
 
 using boost::format;
--- a/sbuild/sbuild-util.cc
+++ b/sbuild/sbuild-util.cc
@@ -35,8 +35,6 @@
 #include <time.h>
 #endif
 
-#include <boost/filesystem/convenience.hpp>
-
 using namespace sbuild;
 
 namespace
--- a/test/sbuild-run-parts.cc
+++ b/test/sbuild-run-parts.cc
@@ -23,6 +23,7 @@
 #include <iostream>
 #include <sstream>
 
+#include <boost/filesystem/exception.hpp>
 #include <boost/filesystem/operations.hpp>
 
 #include <cppunit/extensions/HelperMacros.h>
